<?php
declare(strict_types=1);

namespace Controller;

use View\LogoutRedirection;
use View\Sendable;

class LogoutController extends RestrictedPageController
{
    public function __construct()
    {
        parent::__construct('/logout.php');
    }

    protected function runLogic(): Sendable
    {
        $this->context->session->destroy();
        return new LogoutRedirection();
    }
}
